function default = preparser()
% preparser  [Not a public function] Default options for preparser class functions.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

default = struct();

default.clone = { ...
   'assign',[],@(x) isempty(x) || isstruct(x), ...
};

default.preparser = { ...
   'assign',struct(),@(x) isempty(x) || isstruct(x), ...
   'removecomments,removecomment',{},@iscell, ...
   'saveas','',@ischar, ...
};

end